## simgear 2.4.0

=== simgear/hla/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# simgear/hla/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





pkgdatadir = $(datadir)/simgear
pkgincludedir = $(includedir)/simgear
pkglibdir = $(libdir)/simgear
pkglibexecdir = $(libexecdir)/simgear
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
#am__append_1 = libsghla13.a
subdir = simgear/hla
DIST_COMMON = $(am__libsghla13_a_HEADERS_DIST) $(libsghla_a_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/simgear/simgear_config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(libsghla13_adir)" \
	"$(DESTDIR)$(libsghla_adir)"
LIBRARIES = $(lib_LIBRARIES)
libsghla_a_AR = $(AR) $(ARFLAGS)
libsghla_a_LIBADD =
am_libsghla_a_OBJECTS = RTIObjectClass.$(OBJEXT) \
	RTIObjectInstance.$(OBJEXT) RTIFederate.$(OBJEXT) \
	HLAArrayDataElement.$(OBJEXT) HLAArrayDataType.$(OBJEXT) \
	HLABasicDataElement.$(OBJEXT) HLABasicDataType.$(OBJEXT) \
	HLADataElement.$(OBJEXT) HLADataType.$(OBJEXT) \
	HLAEnumeratedDataElement.$(OBJEXT) \
	HLAEnumeratedDataType.$(OBJEXT) HLAFederate.$(OBJEXT) \
	HLAFixedRecordDataElement.$(OBJEXT) \
	HLAFixedRecordDataType.$(OBJEXT) HLAObjectClass.$(OBJEXT) \
	HLAObjectInstance.$(OBJEXT) HLAOMTXmlVisitor.$(OBJEXT) \
	HLAPropertyDataElement.$(OBJEXT) HLARawDataElement.$(OBJEXT) \
	HLAVariantDataElement.$(OBJEXT) HLAVariantDataType.$(OBJEXT)
libsghla_a_OBJECTS = $(am_libsghla_a_OBJECTS)
libsghla13_a_AR = $(AR) $(ARFLAGS)
libsghla13_a_LIBADD =
am__libsghla13_a_SOURCES_DIST = RTI13ObjectClass.cxx \
	RTI13ObjectInstance.cxx RTI13Federate.cxx HLA13Federate.cxx
#am_libsghla13_a_OBJECTS =  \
#	RTI13ObjectClass.$(OBJEXT) \
#	RTI13ObjectInstance.$(OBJEXT) \
#	RTI13Federate.$(OBJEXT) \
#	HLA13Federate.$(OBJEXT)
libsghla13_a_OBJECTS = $(am_libsghla13_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)/simgear
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
SOURCES = $(libsghla_a_SOURCES) $(libsghla13_a_SOURCES)
DIST_SOURCES = $(libsghla_a_SOURCES) $(am__libsghla13_a_SOURCES_DIST)
am__libsghla13_a_HEADERS_DIST = HLA13Federate.hxx
HEADERS = $(libsghla13_a_HEADERS) $(libsghla_a_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/data1/Package/CleanGit/simgear/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/data1/Package/CleanGit/simgear/missing --run tar
AR = ar
ARFLAGS = cru
AUTOCONF = ${SHELL} /home/data1/Package/CleanGit/simgear/missing --run autoconf
AUTOHEADER = ${SHELL} /home/data1/Package/CleanGit/simgear/missing --run autoheader
AUTOMAKE = ${SHELL} /home/data1/Package/CleanGit/simgear/missing --run automake-1.11
AWK = gawk
BOOST_CPPFLAGS = -I/usr/include
BOOST_LDFLAGS = -L/usr/lib
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -D_REENTRANT
CONFIGURE_DEPENDENCIES = $(top_srcdir)/version
CPP = gcc -E
CPPFLAGS = -I/usr/local/FlightGear-devel/include
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -Wall -D_REENTRANT
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c -p
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG)
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = -L/usr/local/FlightGear-devel/lib
LIBOBJS = 
LIBS = -lOpenThreads -lrt -lm 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/data1/Package/CleanGit/simgear/missing --run makeinfo
MIPSpro_DIRS = 
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = simgear
PACKAGE_BUGREPORT = http://www.flightgear.org
PACKAGE_NAME = SimGear
PACKAGE_STRING = SimGear 2.4.0
PACKAGE_TARNAME = simgear
PACKAGE_URL = 
PACKAGE_VERSION = 2.4.0
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 2.4.0
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/data1/Package/CleanGit/simgear/simgear/hla
abs_srcdir = /home/data1/Package/CleanGit/simgear/simgear/hla
abs_top_builddir = /home/data1/Package/CleanGit/simgear
abs_top_srcdir = /home/data1/Package/CleanGit/simgear
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
base_LIBS = -lrt -lm 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
compatibility_DIR = 
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include/simgear
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/data1/Package/CleanGit/simgear/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
network_LIBS = 
oldincludedir = /usr/include
openal_LIBS = -lalut -lopenal -lrt -lm  
opengl_LIBS = -lGLU -lGL -lXmu -lXt -lSM -lICE -lXi -lXext -lX11 -lrt -lm 
openthreads_FRAMEWORK = 
pdfdir = ${docdir}
prefix = /usr/local/FlightGear-devel
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
svn_CPPFLAGS = -I/usr/include/subversion-1  -I/usr/include/apr-1  -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE
svn_LIBS = -lsvn_ra-1 -lsvn_subr-1 -lsvn_client-1  -lapr-1
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
thread_LIBS = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
INCLUDES = -I$(top_srcdir)
lib_LIBRARIES = libsghla.a $(am__append_1)
libsghla_adir = ${prefix}/include/simgear/hla
libsghla_a_HEADERS = \
	RTIData.hxx \
	HLAArrayDataElement.hxx \
	HLAArrayDataType.hxx \
	HLABasicDataElement.hxx \
	HLABasicDataType.hxx \
	HLADataElement.hxx \
	HLADataType.hxx \
	HLADataTypeVisitor.hxx \
	HLAEnumeratedDataElement.hxx \
	HLAEnumeratedDataType.hxx \
	HLAFixedRecordDataElement.hxx \
	HLAFixedRecordDataType.hxx \
	HLAFederate.hxx \
	HLAInteractionClass.hxx \
	HLALocation.hxx \
	HLAObjectClass.hxx \
	HLAObjectInstance.hxx \
	HLAOMTXmlVisitor.hxx \
	HLAPropertyDataElement.hxx \
	HLARawDataElement.hxx \
	HLAVariantDataElement.hxx \
	HLAVariantDataType.hxx

libsghla_a_SOURCES = \
	RTIObjectClass.cxx \
	RTIObjectInstance.cxx \
	RTIFederate.cxx \
	HLAArrayDataElement.cxx \
	HLAArrayDataType.cxx \
	HLABasicDataElement.cxx \
	HLABasicDataType.cxx \
	HLADataElement.cxx \
	HLADataType.cxx \
	HLAEnumeratedDataElement.cxx \
	HLAEnumeratedDataType.cxx \
	HLAFederate.cxx \
	HLAFixedRecordDataElement.cxx \
	HLAFixedRecordDataType.cxx \
	HLAObjectClass.cxx \
	HLAObjectInstance.cxx \
	HLAOMTXmlVisitor.cxx \
	HLAPropertyDataElement.cxx \
	HLARawDataElement.cxx \
	HLAVariantDataElement.cxx \
	HLAVariantDataType.cxx

#libsghla13_adir = ${prefix}/include/simgear/hla
#libsghla13_a_HEADERS = \
#	HLA13Federate.hxx

#libsghla13_a_SOURCES = \
#	RTI13ObjectClass.cxx \
#	RTI13ObjectInstance.cxx \
#	RTI13Federate.cxx \
#	HLA13Federate.cxx

all: all-am

.SUFFIXES:
.SUFFIXES: .cxx .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu simgear/hla/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu simgear/hla/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-libLIBRARIES: $(lib_LIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
	@list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
	  $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
	@$(POST_INSTALL)
	@list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
	for p in $$list; do \
	  if test -f $$p; then \
	    $(am__strip_dir) \
	    echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
	    ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
	  else :; fi; \
	done

uninstall-libLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \

## simgear 2.6.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6.4)
include (CheckFunctionExists)
include (CheckIncludeFile)
include (CheckCXXSourceCompiles)


project(SimGear)

# read 'version' file into a variable (stripping any newlines or spaces)
file(READ version versionFile)
string(STRIP ${versionFile} SIMGEAR_VERSION)

# use simgear version also as the SO version (if building SOs)
SET(SIMGEAR_SOVERSION ${SIMGEAR_VERSION})

#packaging
SET(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/COPYING")
SET(CPACK_RESOURCE_FILE_README "${PROJECT_SOURCE_DIR}/README")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Simulation support libraries for FlightGear and related projects")
SET(CPACK_PACKAGE_VENDOR "The FlightGear project")
SET(CPACK_GENERATOR "TBZ2")
SET(CPACK_INSTALL_CMAKE_PROJECTS  ${CMAKE_CURRENT_BINARY_DIR};SimGear;ALL;/)


# split version string into components, note CMAKE_MATCH_0 is the entire regexp match
string(REGEX MATCH "([0-9]+)\\.([0-9]+)\\.([0-9]+)" CPACK_PACKAGE_VERSION ${SIMGEAR_VERSION} )
set(CPACK_PACKAGE_VERSION_MAJOR ${CMAKE_MATCH_1}) 
set(CPACK_PACKAGE_VERSION_MINOR ${CMAKE_MATCH_2})
set(CPACK_PACKAGE_VERSION_PATCH ${CMAKE_MATCH_3})

message(STATUS "version is ${CPACK_PACKAGE_VERSION_MAJOR} dot ${CPACK_PACKAGE_VERSION_MINOR} dot ${CPACK_PACKAGE_VERSION_PATCH}")

set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_PACKAGE_FILE_NAME "simgear-${SIMGEAR_VERSION}" CACHE INTERNAL "tarball basename")
set(CPACK_SOURCE_IGNORE_FILES
  "^${PROJECT_SOURCE_DIR}/.git;\\\\.gitignore;Makefile.am;~$;${CPACK_SOURCE_IGNORE_FILES}")

message(STATUS "ignoring: ${CPACK_SOURCE_IGNORE_FILES}")

include (CPack)

# We have some custom .cmake scripts not in the official distribution.
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMakeModules;${CMAKE_MODULE_PATH}")

# Change the default build type to something fast
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)

# Determine name of library installation directory, i.e. "lib" vs "lib64", which
# differs between all Debian-based vs all other Linux distros.
# See cmake bug #11964, http://cmake.org/gitweb?p=cmake.git;a=commit;h=126c993d
# GNUInstallDirs requires CMake >= 2.8.5, use own file for older cmake
if(${CMAKE_VERSION} VERSION_GREATER 2.8.4)
  include(GNUInstallDirs)
else(${CMAKE_VERSION} VERSION_GREATER 2.8.4)
  include(OldGNUInstallDirs)
endif(${CMAKE_VERSION} VERSION_GREATER 2.8.4)
message(STATUS "Library installation directory: ${CMAKE_INSTALL_LIBDIR}")

option(SIMGEAR_SHARED "Set to ON to build SimGear as a shared library/framework" OFF)
option(SIMGEAR_HEADLESS "Set to ON to build SimGear without GUI/graphics support" OFF)
option(JPEG_FACTORY "Enable JPEG-factory support" OFF)
option(ENABLE_LIBSVN "Set to ON to build SimGear with libsvnclient support" ON)
option(ENABLE_RTI "Set to ON to build SimGear with RTI support" OFF)
option(ENABLE_TESTS "Set to OFF to disable building SimGear's test applications" ON)

if (MSVC)
  GET_FILENAME_COMPONENT(PARENT_DIR ${PROJECT_SOURCE_DIR} PATH)
  if (CMAKE_CL_64)
    SET(TEST_3RDPARTY_DIR "${PARENT_DIR}/3rdparty.x64")
  else (CMAKE_CL_64)
    SET(TEST_3RDPARTY_DIR "${PARENT_DIR}/3rdparty")
  endif (CMAKE_CL_64)
  if (EXISTS ${TEST_3RDPARTY_DIR})
    set(MSVC_3RDPARTY_ROOT ${PARENT_DIR} CACHE PATH "Location where the third-party dependencies are extracted")
  else (EXISTS ${TEST_3RDPARTY_DIR})
    set(MSVC_3RDPARTY_ROOT NOT_FOUND CACHE PATH "Location where the third-party dependencies are extracted")
  endif (EXISTS ${TEST_3RDPARTY_DIR})
else (MSVC)
  set(MSVC_3RDPARTY_ROOT NOT_FOUND CACHE PATH "Location where the third-party dependencies are extracted")
endif (MSVC)

if (MSVC AND MSVC_3RDPARTY_ROOT)
  message(STATUS "3rdparty files located in ${MSVC_3RDPARTY_ROOT}")
  set( OSG_MSVC "msvc" )
  if (${MSVC_VERSION} EQUAL 1600)
      set( OSG_MSVC ${OSG_MSVC}100 )
  else (${MSVC_VERSION} EQUAL 1600)
      set( OSG_MSVC ${OSG_MSVC}90 )
  endif (${MSVC_VERSION} EQUAL 1600)
  if (CMAKE_CL_64)
      set( OSG_MSVC ${OSG_MSVC}-64 )
      set( MSVC_3RDPARTY_DIR 3rdParty.x64 )
  else (CMAKE_CL_64)
      set( MSVC_3RDPARTY_DIR 3rdParty )
  endif (CMAKE_CL_64)

  set (CMAKE_LIBRARY_PATH ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/lib ${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/OpenScenegraph/lib )
  set (CMAKE_INCLUDE_PATH ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/include ${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/OpenScenegraph/include)
  set (BOOST_ROOT ${MSVC_3RDPARTY_ROOT}/boost_1_44_0)
  message(STATUS "BOOST_ROOT is ${BOOST_ROOT}")
  set (OPENAL_INCLUDE_DIR ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/include)
  set (ALUT_INCLUDE_DIR ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/include)
  set (OPENAL_LIBRARY_DIR ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/lib) 
endif (MSVC AND MSVC_3RDPARTY_ROOT)

find_package(Boost REQUIRED)
set (BOOST_CXX_FLAGS "-DBOOST_MULTI_INDEX_DISABLE_SERIALIZATION -DBOOST_BIMAP_DISABLE_SERIALIZATION")

find_package(ZLIB REQUIRED)
find_package(Threads REQUIRED)

if(SIMGEAR_HEADLESS)
    message(STATUS "headless mode")
    set(NO_OPENSCENEGRAPH_INTERFACE 1)
else()
    find_package(OpenGL REQUIRED)
    find_package(OpenAL REQUIRED)
    find_package(ALUT REQUIRED)
    find_package(OpenSceneGraph 3.0.0 REQUIRED osgText osgSim osgDB osgParticle osgUtil)
endif(SIMGEAR_HEADLESS)

if(JPEG_FACTORY)
    message(STATUS "JPEG-factory enabled")
    find_package(JPEG REQUIRED)
    include_directories(${JPEG_INCLUDE_DIR})
endif(JPEG_FACTORY)

if(ENABLE_LIBSVN)
	find_package(SvnClient)

	if(LIBSVN_FOUND)
		message(STATUS "libsvn found, enabling in SimGear")
		set(HAVE_SVN_CLIENT_H 1)
		set(HAVE_LIBSVN_CLIENT_1 1)
	else()
		message(STATUS "Missing libsvn, unable to enable SVN in SimGear")
	endif(LIBSVN_FOUND)
endif(ENABLE_LIBSVN)

check_include_file(sys/time.h HAVE_SYS_TIME_H)
check_include_file(sys/timeb.h HAVE_SYS_TIMEB_H)
check_include_file(unistd.h HAVE_UNISTD_H)
check_include_file(windows.h HAVE_WINDOWS_H)

if(ENABLE_RTI)
# See if we have any rti library variant installed
    find_package(RTI)
endif(ENABLE_RTI)

check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
check_function_exists(ftime HAVE_FTIME)
check_function_exists(timegm HAVE_TIMEGM)
check_function_exists(rint HAVE_RINT)
check_function_exists(mkdtemp HAVE_MKDTEMP)

if(HAVE_UNISTD_H)
    set(CMAKE_REQUIRED_INCLUDES ${CMAKE_INCLUDE_PATH})
    check_cxx_source_compiles(
       "#include <unistd.h>
        #if !defined(_POSIX_TIMERS) || (0 >= _POSIX_TIMERS)
            #error clock_gettime is not supported
        #endif

        int main() { return 0; }
        "
        HAVE_CLOCK_GETTIME)    
endif(HAVE_UNISTD_H)

set(RT_LIBRARY "")
if(HAVE_CLOCK_GETTIME)
    check_function_exists(clock_gettime CLOCK_GETTIME_IN_LIBC)
    if(NOT CLOCK_GETTIME_IN_LIBC)
        check_library_exists(rt clock_gettime "" HAVE_RT)
        if(HAVE_RT)
            set(RT_LIBRARY rt)
        endif(HAVE_RT)
        endif(NOT CLOCK_GETTIME_IN_LIBC)
endif(HAVE_CLOCK_GETTIME)

SET(CMAKE_DEBUG_POSTFIX "d" CACHE STRING "add a postfix, usually 'd' on windows")
SET(CMAKE_RELEASE_POSTFIX "" CACHE STRING "add a postfix, usually empty on windows")
SET(CMAKE_RELWITHDEBINFO_POSTFIX "" CACHE STRING "add a postfix, usually empty on windows")
SET(CMAKE_MINSIZEREL_POSTFIX "" CACHE STRING "add a postfix, usually empty on windows")

# isnan might not be real symbol, so can't check using function_exists
check_cxx_source_compiles(
    "#include <cmath> 
    void f() { isnan(0.0);} "
    HAVE_ISNAN)

if(CMAKE_COMPILER_IS_GNUCXX)
    set(WARNING_FLAGS -Wall)
    
    # certain GCC versions don't provide the atomic builds, and hence
    # require is to provide them in SGAtomic.cxx
    set(CMAKE_REQUIRED_INCLUDES ${CMAKE_INCLUDE_PATH})
    check_cxx_source_compiles(
       "int main() { unsigned mValue; return __sync_add_and_fetch(&mValue, 1); }"
        GCC_ATOMIC_BUILTINS_FOUND)
endif(CMAKE_COMPILER_IS_GNUCXX)

if(WIN32)

    if(MSVC)
        # turn off various warnings
        # foreach(warning 4244 4251 4267 4275 4290 4786 4305 4996)
        #     SET(WARNING_FLAGS "${WARNING_FLAGS} /wd${warning}")
        # endforeach(warning)
        
        set(MSVC_FLAGS "-DWIN32 -DNOMINMAX -D_USE_MATH_DEFINES -D_CRT_SECURE_NO_WARNINGS -D__CRT_NONSTDC_NO_WARNINGS /wd4996")
    endif(MSVC)
    
    # assumed on Windows
    set(HAVE_GETLOCALTIME 1)
    
    set( WINSOCK_LIBRARY "ws2_32.lib" )
    set( RT_LIBRARY "winmm" )
endif(WIN32)    

if (${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang") 
   set (WARNING_FLAGS "-Wall -Wno-overloaded-virtual")
endif() 

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WARNING_FLAGS} ${MSVC_FLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_FLAGS} ${MSVC_FLAGS} ${BOOST_CXX_FLAGS}")

include_directories(${PROJECT_SOURCE_DIR})
include_directories(${PROJECT_BINARY_DIR}/simgear)

include_directories(${OPENSCENEGRAPH_INCLUDE_DIRS} 
    ${Boost_INCLUDE_DIRS} ${ZLIB_INCLUDE_DIR} 
    ${ALUT_INCLUDE_DIR} ${OPENAL_INCLUDE_DIR} )


add_definitions(-DHAVE_CONFIG_H)

# configure a header file to pass some of the CMake settings
# to the source code
configure_file (
  "${PROJECT_SOURCE_DIR}/simgear/simgear_config_cmake.h.in"
  "${PROJECT_BINARY_DIR}/simgear/simgear_config.h"
  )

if(ENABLE_TESTS)
# enable CTest / make test target

include (Dart)
enable_testing()
endif(ENABLE_TESTS)

install (FILES ${PROJECT_BINARY_DIR}/simgear/simgear_config.h  DESTINATION include/simgear/)
add_subdirectory(simgear)

#-----------------------------------------------------------------------------
### uninstall target
#-----------------------------------------------------------------------------
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== simgear/CMakeLists.txt ===

file(WRITE ${PROJECT_BINARY_DIR}/simgear/version.h "#define SIMGEAR_VERSION ${SIMGEAR_VERSION}")

foreach( mylibfolder 
        bucket
        debug
        ephemeris
        io
        magvar
        math
        misc
        nasal
        props
        route
        serial
        structure
        threads
        timing
        xml
    )

    add_subdirectory(${mylibfolder})

endforeach( mylibfolder )

if(NOT SIMGEAR_HEADLESS)
    add_subdirectory(environment)
    add_subdirectory(screen)
    add_subdirectory(scene)
    add_subdirectory(sound)
endif(NOT SIMGEAR_HEADLESS)


if(ENABLE_RTI)
    add_subdirectory(hla)
endif(ENABLE_RTI)


set(HEADERS compiler.h constants.h sg_inlines.h ${PROJECT_BINARY_DIR}/simgear/version.h)
install (FILES ${HEADERS}  DESTINATION include/simgear/)

if(SIMGEAR_SHARED)
    message(STATUS "building shared library")
    get_property(coreSources GLOBAL PROPERTY CORE_SOURCES)
    get_property(sceneSources GLOBAL PROPERTY SCENE_SOURCES)
    get_property(publicHeaders GLOBAL PROPERTY PUBLIC_HEADERS)

    add_library(SimGearCore SHARED ${coreSources})
    set_property(TARGET SimGearCore PROPERTY COMPILE_FLAGS "-DNO_OPENSCENEGRAPH_INTERFACE=1")
    
  # set_property(TARGET SimGearCore PROPERTY FRAMEWORK 1)
  #  message(STATUS "public header: ${publicHeaders}")
  #  set_property(TARGET SimGearCore PROPERTY PUBLIC_HEADER "${publicHeaders}")
    set_property(TARGET SimGearCore PROPERTY LINKER_LANGUAGE CXX)

    set_property(TARGET SimGearCore PROPERTY VERSION   ${SIMGEAR_VERSION})
    set_property(TARGET SimGearCore PROPERTY SOVERSION ${SIMGEAR_SOVERSION})

    target_link_libraries(SimGearCore ${ZLIB_LIBRARY} ${RT_LIBRARY})
    install(TARGETS SimGearCore LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

    if(NOT SIMGEAR_HEADLESS)
        if(LIBSVN_FOUND)
            add_definitions(${APR_CFLAGS})

            IF(APPLE)
                set_property(SOURCE scene/tsync/terrasync.cxx PROPERTY COMPILE_FLAGS "-iwithsysroot ${LIBSVN_INCLUDE_DIR}")
            ELSE()
                include_directories(${LIBSVN_INCLUDE_DIR})
            ENDIF(APPLE)
        endif(LIBSVN_FOUND)
        
        list(APPEND sceneSources scene/util/SGCoreOSGDependant.cxx)
        
        add_library(SimGearScene SHARED ${sceneSources})
      # set_property(TARGET SimGearScene PROPERTY FRAMEWORK 1)
      # set_property(TARGET SimGearScene PROPERTY PUBLIC_HEADER "${publicHeaders}")
        set_property(TARGET SimGearScene PROPERTY LINKER_LANGUAGE CXX)
        set_property(TARGET SimGearScene PROPERTY VERSION   ${SIMGEAR_VERSION})
        set_property(TARGET SimGearScene PROPERTY SOVERSION ${SIMGEAR_SOVERSION})
    
        target_link_libraries(SimGearScene 
            SimGearCore
            ${ZLIB_LIBRARY} 
            ${OPENSCENEGRAPH_LIBRARIES} 
            ${OPENAL_LIBRARY} ${ALUT_LIBRARY}
            ${OPENGL_LIBRARY}
            ${JPEG_LIBRARY})
    
        if(LIBSVN_FOUND)
            target_link_libraries(SimGearScene ${LIBSVN_LIBRARIES})
        endif(LIBSVN_FOUND)

        install(TARGETS SimGearScene LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
    endif()
   
endif(SIMGEAR_SHARED)

=== simgear/debug/CMakeLists.txt ===

include (SimGearComponent)

set(HEADERS debug_types.h logstream.hxx)
set(SOURCES logstream.cxx)

simgear_component(debug debug "${SOURCES}" "${HEADERS}")

=== simgear/environment/CMakeLists.txt ===

include (SimGearComponent)

set(HEADERS metar.hxx precipitation.hxx)
set(SOURCES metar.cxx precipitation.cxx)

simgear_scene_component(environment environment "${SOURCES}" "${HEADERS}")

if(ENABLE_TESTS)
add_executable(test_metar test_metar.cxx)

if (SIMGEAR_SHARED)
    target_link_libraries(test_metar SimGearScene) 
else()
    target_link_libraries(test_metar
        sgenvironment sgstructure sgmisc sgdebug
        ${CMAKE_THREAD_LIBS_INIT}
        ${ZLIB_LIBRARY}
        ${RT_LIBRARY})
endif()

add_test(metar ${EXECUTABLE_OUTPUT_PATH}/test_metar)
endif(ENABLE_TESTS)

=== simgear/hla/CMakeLists.txt ===
include (SimGearComponent)

set(HLA_HEADERS
    RTIData.hxx
    HLAArrayDataElement.hxx
    HLAArrayDataType.hxx
    HLABasicDataElement.hxx
    HLABasicDataType.hxx
    HLADataElement.hxx
    HLADataElementVisitor.hxx
    HLADataType.hxx
    HLADataTypeVisitor.hxx
    HLAEnumeratedDataElement.hxx
    HLAEnumeratedDataType.hxx
    HLAFixedRecordDataElement.hxx
    HLAFixedRecordDataType.hxx
    HLAFederate.hxx
    HLAInteractionClass.hxx
    HLALocation.hxx
    HLAObjectClass.hxx
    HLAObjectInstance.hxx
    HLAOMTXmlVisitor.hxx
    HLAPropertyDataElement.hxx
    HLARawDataElement.hxx
    HLAVariantDataElement.hxx
    HLAVariantDataType.hxx
    )

set(HLA_SOURCES
    HLAArrayDataElement.cxx
    HLAArrayDataType.cxx
    HLABasicDataElement.cxx
    HLABasicDataType.cxx
    HLADataElement.cxx
    HLADataType.cxx
    HLADataTypeVisitor.cxx
    HLAEnumeratedDataElement.cxx
    HLAEnumeratedDataType.cxx
    HLAFederate.cxx
    HLAFixedRecordDataElement.cxx
    HLAFixedRecordDataType.cxx
    HLAObjectClass.cxx
    HLAObjectInstance.cxx
    HLAOMTXmlVisitor.cxx
    HLAPropertyDataElement.cxx
    HLARawDataElement.cxx
    HLAVariantDataElement.cxx
    HLAVariantDataType.cxx
    )
simgear_component(hla hla "${HLA_SOURCES}" "${HLA_HEADERS}")

if(RTI_FOUND)
  set(RTI13_SOURCES
    RTI13ObjectClass.cxx
    RTI13ObjectInstance.cxx
    RTI13Federate.cxx
    )
  simgear_component(rti13 hla "${RTI13_SOURCES}" "")
  set_property(TARGET sgrti13 APPEND PROPERTY COMPILE_FLAGS "-I${RTI_INCLUDE_DIR}")
endif()

set(RTI_SOURCES
  RTIObjectClass.cxx
  RTIObjectInstance.cxx
  RTIFederate.cxx
  )
simgear_component(rti hla "${RTI_SOURCES}" "")

=== simgear/io/CMakeLists.txt ===


include (SimGearComponent)

set(HEADERS
    iochannel.hxx
    lowlevel.hxx
    raw_socket.hxx
    sg_binobj.hxx
    sg_file.hxx
    sg_netBuffer.hxx
    sg_netChannel.hxx
    sg_netChat.hxx
    sg_serial.hxx
    sg_socket.hxx
    sg_socket_udp.hxx
    HTTPClient.hxx
    HTTPRequest.hxx
    )

set(SOURCES
    iochannel.cxx
    lowlevel.cxx
    raw_socket.cxx
    sg_binobj.cxx
    sg_file.cxx
    sg_netBuffer.cxx
    sg_netChannel.cxx
    sg_netChat.cxx
    sg_serial.cxx
    sg_socket.cxx
    sg_socket_udp.cxx
    HTTPClient.cxx
    HTTPRequest.cxx
    )

simgear_component(io io "${SOURCES}" "${HEADERS}")

if(ENABLE_TESTS)

if (SIMGEAR_SHARED)
    set(TEST_LIBS SimGearCore)
else()
    set(TEST_LIBS
            sgio sgbucket sgstructure sgthreads sgtiming sgmisc sgdebug
            ${CMAKE_THREAD_LIBS_INIT}
            ${WINSOCK_LIBRARY}
            ${ZLIB_LIBRARY}
            ${RT_LIBRARY})
endif()

add_executable(test_sock socktest.cxx)
target_link_libraries(test_sock ${TEST_LIBS})

add_executable(test_http test_HTTP.cxx)
target_link_libraries(test_http ${TEST_LIBS})

add_test(http ${EXECUTABLE_OUTPUT_PATH}/test_http)

add_executable(httpget httpget.cxx)
target_link_libraries(httpget ${TEST_LIBS})

add_executable(decode_binobj decode_binobj.cxx)
target_link_libraries(decode_binobj ${TEST_LIBS})

add_executable(test_binobj test_binobj.cxx)
target_link_libraries(test_binobj ${TEST_LIBS}) 
    
add_test(binobj ${EXECUTABLE_OUTPUT_PATH}/test_binobj)
endif(ENABLE_TESTS)

=== simgear/magvar/CMakeLists.txt ===

include (SimGearComponent)

set(HEADERS magvar.hxx coremag.hxx)
set(SOURCES magvar.cxx coremag.cxx)

simgear_component(magvar magvar "${SOURCES}" "${HEADERS}")

if(ENABLE_TESTS)
add_executable(test_magvar testmagvar.cxx )

if (SIMGEAR_SHARED)
    target_link_libraries(test_magvar SimGearCore)
else()
    target_link_libraries(test_magvar sgmagvar)
endif()

endif(ENABLE_TESTS)

=== simgear/math/CMakeLists.txt ===
include (SimGearComponent)


set(HEADERS 
    Math.hxx
    SGBox.hxx
    SGCMath.hxx
    SGGeoc.hxx
    SGGeod.hxx
    SGGeodesy.hxx
    SGGeometry.hxx
    SGGeometryFwd.hxx
    SGIntersect.hxx
    SGLimits.hxx
    SGLineSegment.hxx
    SGMath.hxx
    SGMathFwd.hxx
    SGMatrix.hxx
    SGMisc.hxx
    SGPlane.hxx
    SGQuat.hxx
    SGRay.hxx
    SGSphere.hxx
    SGTriangle.hxx
    SGVec2.hxx
    SGVec3.hxx
    SGVec4.hxx
    beziercurve.hxx
    interpolater.hxx
    leastsqs.hxx
    sg_geodesy.hxx
    sg_types.hxx
	sg_random.h
    )

set(SOURCES 
    SGGeod.cxx
    SGGeodesy.cxx
    interpolater.cxx
    leastsqs.cxx
	sg_random.c
    )

simgear_component(math math "${SOURCES}" "${HEADERS}")

if(ENABLE_TESTS)

if (SIMGEAR_SHARED)
    set(TEST_LIBS SimGearCore)
else()
    set(TEST_LIBS sgmath sgstructure sgdebug)
endif()


add_executable(math_test SGMathTest.cxx)
target_link_libraries(math_test ${TEST_LIBS})
add_test(math ${EXECUTABLE_OUTPUT_PATH}/math_test)

add_executable(geometry_test SGGeometryTest.cxx)
target_link_libraries(geometry_test ${TEST_LIBS})
add_test(geometry ${EXECUTABLE_OUTPUT_PATH}/geometry_test)
endif(ENABLE_TESTS)

=== simgear/misc/CMakeLists.txt ===

include (SimGearComponent)

set(HEADERS 
    ResourceManager.hxx
    interpolator.hxx
    sg_dir.hxx
    sg_path.hxx
    sgstream.hxx
    stdint.hxx
    stopwatch.hxx
    strutils.hxx
    tabbed_values.hxx
    texcoord.hxx
    zfstream.hxx
    
    )

set(SOURCES 
    ResourceManager.cxx
    interpolator.cxx
    sg_dir.cxx
    sg_path.cxx
    sgstream.cxx
    strutils.cxx
    tabbed_values.cxx
    texcoord.cxx
    zfstream.cxx
    )

simgear_component(misc misc "${SOURCES}" "${HEADERS}")

if(ENABLE_TESTS)

if (SIMGEAR_SHARED)
    set(TEST_LIBS SimGearCore)
else()
    set(TEST_LIBS sgmisc sgdebug)
endif()

add_executable(test_tabbed_values tabbed_values_test.cxx)
add_test(tabbed_values ${EXECUTABLE_OUTPUT_PATH}/test_tabbed_values)
target_link_libraries(test_tabbed_values ${TEST_LIBS})

add_executable(test_strings strutils_test.cxx )
add_test(test_strings ${EXECUTABLE_OUTPUT_PATH}/test_strings)
target_link_libraries(test_strings ${TEST_LIBS})

add_executable(test_path path_test.cxx )
add_test(test_path ${EXECUTABLE_OUTPUT_PATH}/test_path)
target_link_libraries(test_path ${TEST_LIBS})
endif(ENABLE_TESTS)

=== simgear/props/CMakeLists.txt ===

include (SimGearComponent)

set(HEADERS 
    AtomicChangeListener.hxx
    ExtendedPropertyAdapter.hxx
    condition.hxx
    propertyObject.hxx
    props.hxx
    props_io.hxx
    propsfwd.hxx
    tiedpropertylist.hxx
    )

set(SOURCES 
    AtomicChangeListener.cxx
    condition.cxx
    propertyObject.cxx
    props.cxx
    props_io.cxx
    )

simgear_component(props props "${SOURCES}" "${HEADERS}")

if(ENABLE_TESTS)

if (SIMGEAR_SHARED)
    set(TEST_LIBS SimGearCore)
else()
    set(TEST_LIBS sgprops sgxml sgstructure sgmisc sgdebug)
endif()


add_executable(test_props props_test.cxx)
target_link_libraries(test_props ${TEST_LIBS})
add_test(test_props ${EXECUTABLE_OUTPUT_PATH}/test_props)

add_executable(test_propertyObject propertyObject_test.cxx)
target_link_libraries(test_propertyObject ${TEST_LIBS})
add_test(test_propertyObject ${EXECUTABLE_OUTPUT_PATH}/test_propertyObject)
endif(ENABLE_TESTS)

=== simgear/route/CMakeLists.txt ===

include (SimGearComponent)

set(HEADERS 
    route.hxx
    waypoint.hxx
    )

set(SOURCES 
    route.cxx
    waypoint.cxx
    )

simgear_component(route route "${SOURCES}" "${HEADERS}")

=== simgear/scene/CMakeLists.txt ===
include (SimGearComponent)

include_directories(${PROJECT_SOURCE_DIR})

foreach( mylibfolder 
        bvh
        material
        model
        sky
        tgdb
        util
        tsync
    )

    add_subdirectory(${mylibfolder})

endforeach( mylibfolder )

=== debian/changelog ===
simgear (2.6.0-3) unstable; urgency=low

  * Build-Depend on debhelper 8.1.3.
  * Changed debian/rules to give /usr/lib/$(DEB_HOST_MULTIARCH)
    instead of /usr/lib/* to dh_install, to maybe ease any backports.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 05 Aug 2012 18:01:16 +0200

simgear (2.6.0-2) unstable; urgency=low

  * Added multi-arch control fields to debian/control,
    and build-arch/build-indep rules to debian/rules.
  * While at it, also updated Standards-Version to 3.9.3.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 21 Jul 2012 12:56:08 +0200

simgear (2.6.0-1) unstable; urgency=low

  * New upstream release.
  * Depend on cmake. No longer depend on autotools-dev.
  * Updated debian/rules for the new cmake-based build
    system used by upstream, and cleaned it up a bit.
  * Used upstream's new SIMGEAR_SHARED build option to
    build the shared libraries. Deleted the previous
    debian/sorules stuff.
  * Switched source package format to 3.0 (quilt).
  * Removed libplib-dev from the build-dependencies
    and simgear-dev dependencies.
  * Added the "Thanks" file to debian/docs.
  * Updated debian/watch, the mirror is now ibiblio.org.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 16 Jul 2012 00:55:25 +0200

simgear (2.4.0-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * simgear/math/SGMisc.hxx: Include <cmath> for floor.  Closes: #667373.

 -- Matej Vela <vela@debian.org>  Sun, 20 May 2012 00:10:51 +0100

simgear (2.4.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": apply patch from Matthias Klose:
    add this-> qualifier in simgear/structure/SGExpression.hxx.
    (Closes: #667373)

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 May 2012 16:45:34 +0200

simgear (2.4.0-1.1) unstable; urgency=low

  * Non-Maintainer Upload.
  
  * simgear/structure/Singleton.hxx: Inline copy of
    boost/pool/detail/singleton.hpp by copy of that file, since it is no
    longer present in boost post 1.47.  Closes: #652788, #652775, #652797.

 -- Steve M. Robbins <smr@debian.org>  Sun, 29 Jan 2012 23:19:58 -0600

simgear (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * Build-Depend on OpenSceneGraph 3.0, and the Subversion library.
  * Updated debian/deps.py and debian/sorules to also make it
    possible to add redundant dependencies, not just drop them.
    Because breaking circular dependencies cause some libraries
    to be underlinked, sometimes this must be compensated by
    overlinking others, to ensure FlightGear remains buildable.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 03 Sep 2011 21:41:04 +0200

simgear (2.0.0-4) unstable; urgency=low

  * Quickfix for subtle memory management bug in SimGear, apparently
    not discovered or fixed upstream yet. But it seems to me this
    thing must almost have been working by pure luck all this time...
    Closes: #636121.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 31 Jul 2011 22:43:05 +0200

simgear (2.0.0-3) unstable; urgency=low

  * Backported a bunch of upstream commits (from their git tree)
    for support of newer versions of OpenSceneGraph:
    1ca1f6a 9a96018 7308486 df6badf 956b440 bfe953c 49f418f
    Closes: #634088
  * Backported upstream commit for missing -ldl: d81545a
    Closes: #556348, #622059
  * Applied patch for SuperH support. Closes: #572428

 -- Ove Kaaven <ovek@arcticnet.no>  Thu, 21 Jul 2011 15:01:44 +0200

simgear (2.0.0-2) unstable; urgency=low

  * Fixed circular dependencies in debian/sorules that were dropped
    non-deterministically by GNU Make, causing subtle misbuilds.
    Closes: #609439.
  * Note to self: always remember to use pbuilder. Closes: #609511.

 -- Ove Kaaven <ovek@arcticnet.no>  Tue, 11 Jan 2011 03:50:33 +0100

simgear (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Add a couple of ${misc:Depends} to debian/control.

 -- Ove Kaaven <ovek@arcticnet.no>  Fri, 08 Oct 2010 10:44:32 +0200

simgear (1.9.1-2) unstable; urgency=low

  * Updated debian/copyright.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 12 Jul 2009 22:21:32 +0200

simgear (1.9.1-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/control, sorules, and things for SimGear 1.9.1.
    This includes depending on plib 1.8.5. Closes: #528637, #530638.
  * debian/rules now supports parallellized builds, and building
    out of a svn checkout. It also cleans up a bit better.
  * Added Vcs-Browser and Vcs-Svn fields to debian/control.
  * Converted debian/watch to version 3. Closes: #529139.
  * Added patch to compile with g++ 4.4. Closes: #505019.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 14 Jun 2009 20:38:10 +0200

simgear (1.0.0-4) unstable; urgency=low

  * Made the pkg-fgfs-crew mailing list the official maintainer of the
    SimGear package, and myself a mere uploader.
  * Updated libglut3-dev build-dependency to freeglut3-dev.
    Closes: #394503.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 21 Jun 2008 12:20:45 +0200

simgear (1.0.0-3) unstable; urgency=low

  * Added Homepage field.
  * Upgraded Standards-Version to 3.7.3.
  * Changed the generated sonames to contain the full version of the
    package, rather than just the major version. (Upstream doesn't care
    about shared libraries and a stable ABI.)
  * Accordingly, renamed the shared-library package to simgear1.0.0,
    and make it conflict with simgear0.
  * Use debian/compat file instead of setting DH_COMPAT in debian/rules.
    Upgraded DH build-dependency and compatibility level to 5.
  * Removed usage of dh_testversion.
  * Use ${binary:Version} instead of ${Source-Version} in debian/control.
  * Set optimization level according to DEB_BUILD_OPTIONS.
  * Implemented a system to add dependency information to the generated
    .so files, so linking against one of them will pull in whatever else
    is needed from simgear or plib. Because of circular dependencies,
    this isn't perfect, but I think I at least achieved my goal of making


=== debian/control ===
Source: simgear
Section: libs
Priority: extra
Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
Uploaders: Ove Kaaven <ovek@arcticnet.no>
Build-Depends: debhelper (>> 8.1.3),
 libx11-dev, libxext-dev, libxi-dev, libice-dev, libsm-dev, libxt-dev, libxmu-dev,
 libgl1-mesa-dev | xlibmesa-gl-dev | libgl-dev,
 libglu1-mesa-dev | libglu1-xorg-dev | xlibmesa-glu-dev | libglu-dev,
 freeglut3-dev | libglut3-dev, zlib1g-dev, libjpeg8-dev | libjpeg62-dev | libjpeg-dev,
 libboost-dev, libopenscenegraph-dev (>> 3.0.0),
 libopenal-dev, libalut-dev, libsvn-dev, cmake (>= 2.6)
Standards-Version: 3.9.3
Homepage: http://www.simgear.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-fgfs/simgear/trunk/
Vcs-Svn: svn://svn.debian.org/pkg-fgfs/simgear/trunk/

Package: simgear2.6.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: simgear0
Description: Simulator Construction Gear -- shared libraries
 SimGear is a collection of libraries useful for constructing
 simulation and visualization applications such as FlightGear
 or TerraGear.
 .
 This package contains the shared libraries.

Package: simgear-dev
Architecture: any
Section: devel
Depends: simgear2.6.0 (= ${binary:Version}), libopenscenegraph-dev, libc6-dev, ${misc:Depends}
Description: Simulator Construction Gear -- development files
 SimGear is a collection of libraries useful for constructing
 simulation and visualization applications such as FlightGear
 or TerraGear.
 .
 This package contains the headers and static libraries.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS=-O0 -g
else
CFLAGS=-O2 -g
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

deb_version := $(lastword $(shell dpkg-parsechangelog|grep "^Version: "))
version := $(shell echo $(deb_version)|sed -n 's,^\(.*\)-[^-]*$$,\1,p')
package := simgear$(version)

CMAKE_FLAGS = \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DJPEG_FACTORY=ON
CMAKE_SOFLAGS=-DSIMGEAR_SHARED=ON
CMAKE_LIBFLAGS=

configure: configure-stamp
configure-stamp:
	dh_testdir

	mkdir build-so
	cd build-so && \
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" \
	cmake .. $(CMAKE_FLAGS) $(CMAKE_SOFLAGS)

	mkdir build-lib
	cd build-lib && \
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" \
	cmake .. $(CMAKE_FLAGS) $(CMAKE_LIBFLAGS)

	touch configure-stamp

build-arch: configure-stamp build-stamp
build-stamp: configure-stamp
	dh_testdir

	cd build-so && $(MAKE)
	cd build-lib && $(MAKE)

	touch build-stamp

build-indep:
build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	rm -rf build-so
	rm -rf build-lib

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep

	# Install libraries and headers
	cd build-so && \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cd build-lib && \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Install shared libraries
	dh_install -p$(package) --autodest debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.*
	dh_install -psimgear-dev --autodest debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so
	# Install static libraries
	dh_install -psimgear-dev --autodest debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.a
	# Install headers
	dh_install -psimgear-dev --autodest debian/tmp/usr/include

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot

	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
